Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.caff.maze
Class MazePrintProperties

    java.lang.Object
      de.caff.maze.MazePropertyOwner
          de.caff.maze.MazePaintProperties
              de.caff.maze.MazePrintProperties

All Implemented Interfaces:
  MazePaintPropertiesProvider, MazePrintPropertiesProvider

    public class MazePrintProperties

extends MazePaintProperties
implements MazePrintPropertiesProvider

Properties describing how a maze is painted.

Nested Class Summary

Nested classes/interfaces inherited from class de.caff.maze.MazePropertyOwner
`MazePropertyOwner.BooleanPropertyInformation, MazePropertyOwner.EnumPropertyInformation, MazePropertyOwner.InfoPropertyDisplay, MazePropertyOwner.IntegerPropertyInformation, MazePropertyOwner.PaintPropertyInformation`

Nested classes/interfaces inherited from interface de.caff.maze.MazePrintPropertiesProvider
`MazePrintPropertiesProvider.BlowUpFactor`

Field Summary
`static java.lang.String` | `PROPERTY_BLOW_UP_FACTOR` Property key of BlowupFactor property describing on how many pages a maze should be drawn.
`static java.lang.String` | `PROPERTY_PRINT_INFO` Property key of boolean property describing whether information about the maze should be printed.

Fields inherited from class de.caff.maze.MazePaintProperties
`myKey, PROPERTY_BACKGROUND_PAINT, PROPERTY_CELL_BORDER_PAINT, PROPERTY_INNER_BORDER_PAINT, PROPERTY_OUTER_BORDER_PAINT, PROPERTY_SHOWING_CELL_BORDERS, PROPERTY_SHOWING_SOLUTION, PROPERTY_SOLUTION_PAINT, PROPERTY_WAY_END_PAINT, PROPERTY_WAY_START_PAINT`

Fields inherited from interface de.caff.maze.MazePrintPropertiesProvider
`RESOURCE_PAGE, RESOURCE_PAGES`

Constructor Summary
`MazePrintProperties(java.lang.String myKey)` Create a maze print properties element with the given key.

Method Summary
`MazePrintPropertiesProvider.BlowUpFactor` | `getBlowUpFactor()` Get the blow-up factor.
`static MazePrintPropertiesProvider.BlowUpFactor` | `getBlowUpFactor(int factor)` Map a number of pages to a blowup factor.
`static MazePrintProperties` | `getPrintMazePaintProperties(DataStorage systemAccess)` Get print properties.
`java.util.Collection<PropertyInformation>` | `getPropertyInformations()` Get the property informations.
`boolean` | `isPrintInfo()` Should the maze information be printed?
`(package private) void` | `overwriteFromPersistentData(DataStorage dataStorage)` Overwrite the properties from the given data storage.
`void` | `setBlowUpFactor(MazePrintPropertiesProvider.BlowUpFactor blowUpFactor)` Set the blow-up factor.
`void` | `setPrintInfo(boolean printInfo)` Set whether the maze information should be printed.
`(package private) void` | `storePersistentData(DataStorage dataStorage)` Store the settings in a data storage.

Methods inherited from class de.caff.maze.MazePaintProperties
`getBackgroundPaint, getCellBorderPaint, getDrawMazePaintProperties, getInnerWallsPaint, getOuterWallPaint, getSaveMazePaintProperties, getSolutionPaint, getWayEndPaint, getWayStartPaint, isShowingCellBorders, isShowingSolution, setBackgroundPaint, setCellBorderPaint, setInnerBorderPaint, setOuterBorderPaint, setShowingCellBorders, setShowingSolution, setSolutionPaint, setWayEndPaint, setWayStartPaint`

Methods inherited from class de.caff.maze.MazePropertyOwner
`addPropertyChangeListener, firePropertyChange, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.caff.maze.MazePaintPropertiesProvider
`getBackgroundPaint, getCellBorderPaint, getInnerWallsPaint, getOuterWallPaint, getSolutionPaint, getWayEndPaint, getWayStartPaint, isShowingCellBorders, isShowingSolution`

Field Detail

### PROPERTY_BLOW_UP_FACTOR

    public static final java.lang.String PROPERTY_BLOW_UP_FACTOR

  Property key of BlowupFactor property describing on how many pages a maze should be drawn.

  See Also:
    Constant Field Values

### PROPERTY_PRINT_INFO

    public static final java.lang.String PROPERTY_PRINT_INFO

  Property key of boolean property describing whether information about the maze should be printed.

  See Also:
    Constant Field Values

Constructor Detail

### MazePrintProperties

    public MazePrintProperties(java.lang.String myKey)

  Create a maze print properties element with the given key.

  Parameters:
    `myKey` - key of the properties

Method Detail

### getPrintMazePaintProperties

    public static MazePrintProperties getPrintMazePaintProperties(DataStorage systemAccess)

  Get print properties.

  Parameters:
    `systemAccess` - system access used to overwrite default settings
  Returns:
    print properties

### getBlowUpFactor

    public static MazePrintPropertiesProvider.BlowUpFactor getBlowUpFactor(int factor)

  Map a number of pages to a blowup factor.

  Parameters:
    `factor` - number of pages
  Returns:
    matching BlowUpFactor or `null`

### getBlowUpFactor

    public MazePrintPropertiesProvider.BlowUpFactor getBlowUpFactor()

  Get the blow-up factor. It defines on how many pages the maze is printed.

  Specified by:
    `getBlowUpFactor` in interface `MazePrintPropertiesProvider`
  Returns:
    blow-up factor

### setBlowUpFactor

    public void setBlowUpFactor(MazePrintPropertiesProvider.BlowUpFactor blowUpFactor)

  Set the blow-up factor. It defines on how many pages the maze is printed.

  Parameters:
    `blowUpFactor` - the blow-up factor

### isPrintInfo

    public boolean isPrintInfo()

  Should the maze information be printed?

  Specified by:
    `isPrintInfo` in interface `MazePrintPropertiesProvider`
  Returns:
    the answer

### setPrintInfo

    public void setPrintInfo(boolean printInfo)

  Set whether the maze information should be printed.

  Parameters:
    `printInfo` - `true`: print info, `false`: don't print info

### getPropertyInformations

    public java.util.Collection<PropertyInformation> getPropertyInformations()

  Get the property informations.

  Overrides:
    `getPropertyInformations` in class `MazePaintProperties`
  Returns:
    collection of property informations

### overwriteFromPersistentData

    void overwriteFromPersistentData(DataStorage dataStorage)

  Overwrite the properties from the given data storage.

  Overrides:
    `overwriteFromPersistentData` in class `MazePaintProperties`
  Parameters:
    `dataStorage` - data storage to use for access to stored settings

### storePersistentData

    void storePersistentData(DataStorage dataStorage)

  Store the settings in a data storage.

  Overrides:
    `storePersistentData` in class `MazePaintProperties`
  Parameters:
    `dataStorage` - storage to store to

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD